Skip to main content
GET
/
projects
/
{id}
/
limits
JavaScript
import Kernel from '@onkernel/sdk';

const client = new Kernel({
  apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});

const projectLimits = await client.projects.limits.retrieve('id');

console.log(projectLimits.max_concurrent_invocations);
{
  "max_concurrent_sessions": 10,
  "max_persistent_sessions": 5,
  "max_concurrent_invocations": 20,
  "max_pooled_sessions": 50
}

Documentation Index

Fetch the complete documentation index at: https://tbd-6fc993ce-hypeship-intro-create-control-observe.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Project ID

Response

Project limits

max_concurrent_sessions
integer | null

Maximum concurrent browser sessions for this project. Null means no project-level cap.

Example:

10

max_persistent_sessions
integer | null

Maximum persistent browser sessions for this project. Null means no project-level cap.

Example:

5

max_concurrent_invocations
integer | null

Maximum concurrent app invocations for this project. Null means no project-level cap.

Example:

20

max_pooled_sessions
integer | null

Maximum pooled sessions capacity for this project. Null means no project-level cap.

Example:

50